/* Copyright (C) 1995, Swedish Institute of Computer Science. */

:- use_module(library(system)).

:- ensure_loaded(library('gcla/opdefs')).
:- ensure_loaded(library('gcla/inter')).

:- gcla_flag(gcla_interruption,_,no).
:- gcla_flag(write_asserting_text,_,no).
:- gcla_flag(load_default_rules,_,yes).

:- gcla:startup_message(greeting),
   environ('HOME',Home),
   name(Home,Home1),
   gcla:append(Home1,"/.gclarc",GCLARC),name(GCLARC1,GCLARC),
   (system:file_exists(GCLARC1) -> ensure_loaded(GCLARC1) ; true),
   (gcla:gcla_flag1(load_default_rules,no)
    -> true
    ; gcla:startup_message(default_rules),
      reload_rules(lib('rules.rul'))).
